Passer au contenu principal
GET
/
media
List media
curl --request GET \
  --url https://api.youka.io/api/v1/media \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "type": "video",
    "url": "<string>",
    "status": "processing",
    "error": "<string>",
    "width": 123,
    "height": 123,
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "previewUrl": "<string>"
  }
]

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Réponse

200 - application/json

Media list

id
string
requis
type
enum<string>
requis
Options disponibles:
video,
image,
logo,
intro-video,
outro-video
url
string<uri>
requis
status
enum<string>
requis
Options disponibles:
processing,
ready,
failed
error
string | null
requis
width
number
requis
height
number
requis
createdAt
string
requis
updatedAt
string
requis
previewUrl
string<uri> | null